# Uses of Class
javax.management.modelmbean.ModelMBeanConstructorInfo

Packages that use ModelMBeanConstructorInfo
Package
Description
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of ModelMBeanConstructorInfo in javax.management.modelmbean

Methods in javax.management.modelmbean that return ModelMBeanConstructorInfo
Modifier and Type
Method
Description
`ModelMBeanConstructorInfo`
ModelMBeanInfoSupport.`getConstructor(String inName)`
Returns the ModelMBeanConstructorInfo requested by name.
Constructors in javax.management.modelmbean with parameters of type ModelMBeanConstructorInfo
Modifier
Constructor
Description
``
`ModelMBeanInfoSupport(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications)`
Creates a ModelMBeanInfoSupport with the provided information, but the descriptor is a default.
``
`ModelMBeanInfoSupport(String className, String description, ModelMBeanAttributeInfo[] attributes, ModelMBeanConstructorInfo[] constructors, ModelMBeanOperationInfo[] operations, ModelMBeanNotificationInfo[] notifications, Descriptor mbeandescriptor)`
Creates a ModelMBeanInfoSupport with the provided information and the descriptor given in parameter.